<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: フォントセット</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>フォントセット<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p>フォントセットは文字からフォントへの対応付けを行うオブジェクトである.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2">mfontset</a> (char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを返す.  <a href="#ga24016779ca68b4e494e0948a23abe5c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619">mfontset_name</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットの名前を返す.  <a href="#gaba7c57d1f743707d7229bf2877de3619"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3">mfontset_copy</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットのコピーを作る.  <a href="#ga91fcf191cd137b2a8b3172ca0a7fa2a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2">mfontset_modify_entry</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> layouter_name, int how)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットの内容を変更する.  <a href="#ga51d2984c48e258573c6c97a6b562e8b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69">mfontset_lookup</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを検索する.  <a href="#gaa18800b40d14683b9266150f836a9a69"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>フォントセットは文字からフォントへの対応付けを行うオブジェクトである. </p>
<p><em>フォントセット</em> は <code>MFontset</code> 型のオブジェクトである。M-text の表示の際、フォントセットは以下の情報を用いて M-text 中の個々の文字にどのフォントを用いるか決める規則を与える。</p>
<ul>
<li>文字の文字プロパティ "スクリプト" </li>
<li>文字のテキストプロパティ "言語" </li>
<li>文字のテキストプロパティ "文字セット"</li>
</ul>
<p>これらの情報がどのように用いられるかは <a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08" title="ウィンドウに M-text を描画する.">mdraw_text()</a> の説明を参照のこと。 </p>
<hr/><h2>関数</h2>
<a class="anchor" id="ga24016779ca68b4e494e0948a23abe5c2"></a><!-- doxytag: member="m17n&#45;gui.h::mfontset" ref="ga24016779ca68b4e494e0948a23abe5c2" args="(char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> * mfontset </td>
          <td>(</td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットを返す. </p>
<p>関数 <a class="el" href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2" title="フォントセットを返す.">mfontset()</a> は名前 <b>name</b> を持つフォントセットオブジェクトへのポインタを返す。 <b>name</b> が <code>NULL</code> ならば、デフォルトフォントセットへのポインタを返す。</p>
<p><b>name</b> という名前を持つフォントセットがなければ、新しいものが作られる。その際、 m17n データベースに &lt;<code>fontset</code>, <b>name&gt;</b> というデータがあれば、フォントセットはそのデータに沿って初期化される。 なければ、空のままにされる。</p>
<p>マクロ <a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a> はデフォルトのフォントセットを作る。アプリケーションプログラムは <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> を初めて呼ぶまでの間はデフォルトフォントセットを変更することができる。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は見つかった、あるいは作ったフォントセットへのポインタを返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="gaba7c57d1f743707d7229bf2877de3619"></a><!-- doxytag: member="m17n&#45;gui.h::mfontset_name" ref="gaba7c57d1f743707d7229bf2877de3619" args="(MFontset *fontset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mfontset_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットの名前を返す. </p>
<p>関数 <a class="el" href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619" title="フォントセットの名前を返す.">mfontset_name()</a> はフォントセット <b>fontset</b> の名前を返す。 </p>

</div>
</div>
<a class="anchor" id="ga91fcf191cd137b2a8b3172ca0a7fa2a3"></a><!-- doxytag: member="m17n&#45;gui.h::mfontset_copy" ref="ga91fcf191cd137b2a8b3172ca0a7fa2a3" args="(MFontset *fontset, char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> * mfontset_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットのコピーを作る. </p>
<p>関数 <a class="el" href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3" title="フォントセットのコピーを作る.">mfontset_copy()</a> はフォントセット <b>fontset</b> のコピーを作って、名前 <b>name</b> を与え、そのコピーへのポインタを返す。<b>name</b> は既存のフォントセットの名前であってはならない。そのような場合にはコピーを作らずに NULL を返す。 </p>

</div>
</div>
<a class="anchor" id="ga51d2984c48e258573c6c97a6b562e8b2"></a><!-- doxytag: member="m17n&#45;gui.h::mfontset_modify_entry" ref="ga51d2984c48e258573c6c97a6b562e8b2" args="(MFontset *fontset, MSymbol script, MSymbol language, MSymbol charset, MFont *spec, MSymbol layouter_name, int how)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfontset_modify_entry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>charset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>spec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>layouter_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>how</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットの内容を変更する. </p>
<p>関数 <a class="el" href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2" title="フォントセットの内容を変更する.">mfontset_modify_entry()</a> は、<b>language</b> と <b>script</b> の組み合わせ、または <b>charset</b> に対して <b>font</b> のコピーを使うように、フォントセット <b>fontset</b> を設定する。</p>
<p>フォントセット中の各フォントは、特定のスクリプトと言語のペア、特定の文字セット、シンボル <code>Mnil</code> のいずれかと関連付けられている。同じものと関連付けられたフォントはグループを構成する。</p>
<p><b>script</b> は <code>Mnil</code> であるか、スクリプトを特定するシンボルである。 シンボルである場合には、<b>language</b> は言語を特定するシンボルか <code>Mnil</code> であり、<b>font</b> はthe <b>script</b> / <b>language</b> ペアに関連付けられる。</p>
<p><b>charset</b> は <code>Mnil</code> であるか、文字セットオブジェクトを表すシンボルである。 シンボルである場合には <b>font</b> はその文字セットと関連付けられる。</p>
<p><b>script</b> と <b>charset</b> の双方が <code>Mnil</code> でない場合には <b>font</b> のコピーが２つ作られ、それぞれ <b>script</b> / <b>language</b> ペアと文字セットに関連付けられる。</p>
<p><b>script</b> と <b>charset</b> の双方が <code>Mnil</code> ならば、 <b>font</b> は <code>Mnil</code> と関連付けられる。この種のフォントは <em>fallback</em> <em>font</em> と呼ばれる。</p>
<p>引数 <b>how</b> は <b>font</b> の優先度を指定する。<b>how</b> が正ならば、<b>font</b> は同じものと関連付けられたグループ中で最高の優先度を持つ。<b>how</b> が負ならば、最低の優先度を持つ。<b>how</b> が 0 ならば、<b>font</b> は関連付けられたものに対する唯一の利用可能なフォントとなり、他のフォントはグループから取り除かれる。</p>
<p><b>layouter_name</b> は <code>Mnil</code> であるか、<a class="el" href="m17nDBFormat.html#mdbFLT">フォントレイアウトテーブル</a> （フォントレイアウトテーブル）を示すシンボルである。シンボルであれば、<b>font</b> を用いて M-text を表示する際には、そのフォントレイアウトテーブルを使って文字列からグリフコード列を生成する。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理が成功したとき、mfontset_modify_entry() は 0 を返す。 失敗したときは -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_SYMBOL</code> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa18800b40d14683b9266150f836a9a69"></a><!-- doxytag: member="m17n&#45;gui.h::mfontset_lookup" ref="gaa18800b40d14683b9266150f836a9a69" args="(MFontset *fontset, MSymbol script, MSymbol language, MSymbol charset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> * mfontset_lookup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>charset</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットを検索する. </p>
<p>関数 <a class="el" href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69" title="フォントセットを検索する.">mfontset_lookup()</a> は <b>fontset</b> を検索し、<b>fontset</b> の内容のうち指定したスクリプト、言語、文字セットに対応する部分を表す plist を返す。</p>
<p><b>script</b> が <code>Mt</code> ならば、返す plist のキーはフォントが指定されているスクリプト名のシンボルであり、値は NULL である。</p>
<p><b>script</b> がスクリプト名のシンボルであれば、返す plist は <b>languageによって定まる。</b> </p>
<ul>
<li><b>language</b> が <code>Mt</code> ならば、plist のキーはフォントが指定されている言語名のシンボルであり、値は NULL である。キーは <code>Mt</code> であることもあり、その場合そのスクリプトにフォールバックフォントがあることを意味する。</li>
</ul>
<ul>
<li><b>language</b> が言語名のシンボルならば、plist は指定のスクリプトと言語に対する <code>FONT-GROUP</code> である。<code>FONT-GROUP</code> とは、キーが FLT (FontLayoutTable) 名のシンボルであり、値が <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d" title="フォントの型宣言.">MFont</a> へのポインタであるような plist である。ただしフォントに FLT が対応付けられていない時には、キーは <code>Mt</code> になる。</li>
</ul>
<ul>
<li><b>language</b> が <code>Mnil</code> ならば、plist はそのスクリプト用のフォールバック <code>FONT-GROUP</code> である。</li>
</ul>
<p><b>script</b> が <code>Mnil</code> ならば、返す plist は以下のように定まる。</p>
<ul>
<li><b>charset</b> が <code>Mt</code> ならば、plist のキーはフォントが指定されている文字セット名のシンボルであり、値は NULL である。</li>
</ul>
<ul>
<li><b>charset</b> が文字セット名のシンボルならば、plist はその文字セット用の <code>FONT-GROUP</code> である。</li>
</ul>
<ul>
<li><b>charset</b> が <code>Mnil</code> ならば、plist はフォールバック <code>FONT-GROUP</code> である。</li>
</ul>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数はフォントセットの内容を表す plist を返す。 plist は <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> で解放されるべきである。 </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
